/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2016.01.30.
*   Chip         -  Atmel ATtiny13A
*   Compiler     -  avr-gcc ( WinAVR)
*
*   PWM demo
*
********************************************************************************
*   PonyProg Configuration and Security Bits (bepipalva):
*
*   CKSEL1 -, CKSEL0 P      - Internal Oscillator 9,6 MHz
*   CKDIV8 P                - Divide clock by 8
*   
*******************************************************************************/
#define F_CPU    1,2 MHZ                    // orajel




#include "tkiraaly_attiny13a.h"
#include <util/delay.h>




int main( void)
{
   U8 i= 0;

   T0_PWM;                             // fast PWM mod
   T0_FP_1;                            // orajel / 1
   OC0A_ENABLE;
   OC0B_ENABLE;

   ADC_8BIT;                           // 8 bit felbonas
   ADC_VREF_AVCC;                      // a tap a referencia feszultseg
   ADC_IN2;                            // 2. bemenet kivalasztasa
   ADC_FREE_RUN;                       // folyamatos meres

   for(;;)
   {
      i++;  
      OCR0A= i;
      OCR0B= ADCH;
      _delay_ms( 10);
   }
}
